# ReconnectionPolicy class abstract

Implementers
  - RandomBackoffReconnectionPolicy
  - TestingReconnectionPolicy
  - TestingSleepReconnectionPolicy

## Constructors

ReconnectionPolicy ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
performReconnect ↔ PerformReconnectFunction?
  Function provided by XmppConnection that allows the policy to perform a reconnection.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

canTriggerFailure () → Future <bool>
canTryReconnecting () → Future <bool>
getIsReconnecting () → Future <bool>
getShouldReconnect () → Future <bool>
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
onFailure () → Future <void>
  Called by the XmppConnection when the reconnection failed.
onSuccess () → Future <void>
  Caled by the XmppConnection when the reconnection was successful.
register (PerformReconnectFunction performReconnect) → void
  Called by XmppConnection to register the policy.
reset () → Future <void>
  In case the policy depends on some internal state, this state must be reset to an initial state when reset is called. In case timers run, they must be terminated.
setShouldReconnect (bool value) → Future <void>
  Set whether a reconnection attempt should be made.
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited